jQuery(document).ready( function($){
    "use strict";

    $(document).on( 'click' ,'.add-request-quote-button', function(e){

        e.preventDefault();

        var $t = $(this),
            $t_wrap = $t.parents('.yith-ywraq-add-to-quote'),
            add_to_cart_info = 'ac';


        if ( $t.parents('ul.products').length > 0) {
            var $add_to_cart_el = $t.parents('li.product').find('input[name="add-to-cart"]'),
                $product_id_el = $t.parents('li.product').find('input[name="product_id"]');
        }else{
            var $add_to_cart_el = $t.parents('.product').find('input[name="add-to-cart"]'),
                $product_id_el = $t.parents('.product').find('input[name="product_id"]');
        }


        if ($add_to_cart_el.length > 0 && $product_id_el.length > 0) { //variable product
            add_to_cart_info = $('.cart').serialize();
        } else if ( $('.cart').length > 0) { //single product and form exists with cart class
            add_to_cart_info = $('.cart').serialize();
        }


        add_to_cart_info += '&action=yith_ywraq_action&ywraq_action=add_item&product_id='+$t.data('product_id')+'&wp_nonce='+$t.data('wp_nonce');
        if( add_to_cart_info.indexOf('add-to-cart') > 0){
            add_to_cart_info = add_to_cart_info.replace( 'add-to-cart', 'yith-add-to-cart');
        }

        $.ajax({
            type   : 'POST',
            url    : ywraq_frontend.ajaxurl,
            dataType: 'json',
            data   : add_to_cart_info,
            beforeSend: function(){
                $t.siblings( '.ajax-loading' ).css( 'visibility', 'visible' );
            },
            complete: function(){
                $t.siblings( '.ajax-loading' ).css( 'visibility', 'hidden' );
            },

            success: function (response) {
                if( response.result == 'true' || response.result == 'exists'){
                    $t.parent().hide().removeClass('show').addClass('addedd');
                    var prod_id = ( typeof $product_id_el.val() == 'undefined') ? '' : '-'+$product_id_el.val();
                    $t_wrap.append( '<div class="yith_ywraq_add_item_response'+ prod_id +' yith_ywraq_add_item_response_message">' + response.message + '</div>');
                    $t_wrap.append( '<div class="yith_ywraq_add_item_browse-list'+prod_id+' yith_ywraq_add_item_browse_message"><a href="'+response.rqa_url+'">' + response.label_browse + '</a></div>');


                }else if( response.result == 'false' ){
                    $t_wrap.append( '<div class="yith_ywraq_add_item_response-'+$product_id_el.val()+'">' + response.message + '</div>');
                }
            }
        });


    });
});